Wij gaan door tot jij 100% tevreden bent

De technische experts van onze bekroonde klantenservice staan voor je klaar!

Hoe kan ik de PHP-versie wijzigen?

Je hebt bij ons zelf de vrijheid om te bepalen welke PHP-versie je graag wilt gebruiken. Je kunt de PHP-versie wijzigen via de PHP-selector in DirectAdmin of via het .htaccess-bestand. De tweede methode is handig als je bijvoorbeeld voor verschillende domeinen of (sub)mappen een andere versie wilt gebruiken.

Ter kennisneming
Weten welke PHP-versie je moet kiezen? Check dit overzicht voor advies.

Via de PHP-selector

1. Log in op DirectAdmin.

Het inlogscherm van DirectAdmin.

2. Ga in het menu naar 'Extra Functies' → 'Select PHP version'.

De PHP-selector in DirectAdmin.

3. Kies achter 'Current PHP version' via het uitklapmenu de gewenste PHP-versie.

Kies achter 'Current PHP version' via het uitklapmenu de gewenste PHP-versie.

4. Klik vervolgens op 'Set as current' om de wijziging door te voeren.

Klik vervolgens op 'Set as current' om de wijziging door te voeren.

5. Je hebt nu de PHP-versie aangepast. Je kunt op dezelfde manier altijd weer terugschakelen naar een andere versie.

Meerdere websites op je webhostingpakket?
Merk op dat deze wijziging geldt voor alle websites op het pakket. Wil je het voor een specifieke website wijzigen, dan kun je dit het beste doen via het .htaccess-bestand.

Via het .htaccess-bestand

Schakel je via de PHP-selector over naar een andere PHP-versie, dan geldt dat voor alle websites die op het hostingpakket staan. In sommige gevallen is het wenselijk dat het enkel voor specifieke websites gebeurt, bijvoorbeeld omdat nog niet iedere website op het pakket met de nieuwere PHP-versie overweg kan.

De PHP-versie aanpassen via het .htaccess-bestand biedt dan oplossing. Op die manier kun je voor een specifieke website een andere PHP-versie inschakelen door middel van een regel die je in het .htaccess-bestand plaatst op de locatie waar de website staat. Welke .htaccess-regel je moet te gebruiken, is afhankelijk van de versie die je wilt draaien.

  • PHP 5.6
AddType application/x-lsphp56 .php4 .php .php3 .php2 .phtml
  • PHP 7.0
AddType application/x-lsphp70 .php5 .php4 .php .php3 .php2 .phtml
  • PHP 7.1
AddType application/x-lsphp71 .php5 .php4 .php .php3 .php2 .phtml
  •  PHP 7.2
AddType application/x-lsphp72 .php5 .php4 .php .php3 .php2 .phtml
  •  PHP 7.3
AddType application/x-lsphp73 .php5 .php4 .php .php3 .php2 .phtml
  •  PHP 7.4
AddType application/x-lsphp74 .php5 .php4 .php .php3 .php2 .phtml
  •  PHP 8.0
AddType application/x-lsphp80 .php5 .php4 .php .php3 .php2 .phtml

Vanaf nu zal de inhoud van deze specifieke map door de PHP-versie worden afgehandeld die je middels het het .htaccess-bestand hebt opgegeven. Waar wenselijk kun je dat met een phpinfo-bestand controleren.

Krijg je een foutmelding op je website te zien, nadat je de PHP-versie hebt gewijzigd?
Check dan deze handleiding voor mogelijke oorzaken en oplossingen.

 

Sterren Domeinnaam: 5 sterren uit 5.118 reviews

320.000+ domeinnamen geregistreerd
Bij de beste registrars in MT1000 en Emerce 100

Geen cookies